package com.example.cookbook.repository;


import com.example.cookbook.dbConfig.DB;
import com.example.cookbook.model.Naracka;
import com.example.cookbook.model.Recept;
import com.example.cookbook.model.Stavka;
import org.springframework.stereotype.Repository;

import java.sql.*;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@Repository
public class NarackiRepository {


    public List<Naracka> findAll() throws SQLException {

        Connection connection = DB.getConnection();
        Statement stm = connection.createStatement();
        String query = "select vreme, telefon from naracki;";

        ResultSet result = stm.executeQuery(query);
        List<Naracka> naracki = new ArrayList<>();

        while (result.next()){
            Naracka naracka = new Naracka();
            naracka.setVreme(result.getObject("vreme", LocalDateTime.class));
            naracka.setTelefon(result.getString("telefon"));
            naracki.add(naracka);
        }

        DB.closeConnection();
        result.close();
        stm.close();
        return naracki;
    }

    public List<Stavka> findByTelAndVreme(String telefon, LocalDateTime vreme) throws SQLException {

        Connection connection = DB.getConnection();
        String query = "select sk.vreme, sk.telefon, r.rec_ime, nacin from so_koi sk\n" +
                "        left join recepti r on r.rec_id = sk.rec_id\n" +
                "where vreme = ? and telefon = ?;";
        PreparedStatement prepStm = connection.prepareStatement(query);

        prepStm.setObject(1, vreme);
        prepStm.setString(2, telefon);

        ResultSet result = prepStm.executeQuery();
        List<Stavka> stavki = new ArrayList<>();
        while (result.next()){
            Stavka stavka = new Stavka();
            stavka.setRecIme(result.getString("rec_ime"));
            stavka.setTelefon(result.getString("telefon"));
            stavka.setNacin(result.getString("nacin"));
            stavka.setVreme(result.getObject("vreme", LocalDateTime.class));
            stavki.add(stavka);
        }
        DB.closeConnection();
        result.close();
        prepStm.close();
        return stavki;
    }
}
