package com.example.cookbook.service.impl;


import com.example.cookbook.model.Naracka;
import com.example.cookbook.model.Recept;
import com.example.cookbook.model.Stavka;
import com.example.cookbook.repository.NarackiRepository;
import com.example.cookbook.service.NarackiService;
import org.springframework.stereotype.Service;

import java.sql.SQLException;
import java.time.LocalDateTime;
import java.util.List;

@Service
public class NarackiServiceImpl implements NarackiService {

    private final NarackiRepository narackiRepository;

    public NarackiServiceImpl(NarackiRepository narackiRepository) {
        this.narackiRepository = narackiRepository;
    }

    @Override
    public List<Naracka> listAll() throws SQLException {
        return narackiRepository.findAll();
    }

    @Override
    public List<Stavka> findByTelAndVreme(String telefon, LocalDateTime vreme) throws SQLException {
        return narackiRepository.findByTelAndVreme(telefon, vreme);
    }
}
